#include "exti.h"
#include "led.h"
#include "key.h"
#include "delay.h"
#include "usart.h"


//ⲿж0
//ʼPA0,PA13,PA15Ϊж.
void EXTIX_Init(void)
{
		GPIO_InitTypeDef GPIO_InitStructure;
		EXTI_InitTypeDef EXTI_InitStructure;
		NVIC_InitTypeDef NVIC_InitStructure;

  	GPIO_PinRemapConfig(GPIO_Remap_SWJ_JTAGDisable , ENABLE);	//رjtag

  	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC|RCC_APB2Periph_AFIO,ENABLE);

		//ʼKEY0-->GPIOC.5,KEY1-->GPIOC.4,KEY2-->GPIOC.11,KEY3-->GPIOC.12 
  	GPIO_InitStructure.GPIO_Pin  = GPIO_Pin_4|GPIO_Pin_5|GPIO_Pin_11|GPIO_Pin_12;
		GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
		GPIO_Init(GPIOC, &GPIO_InitStructure);

		//GPIOA.13 жԼжϳʼ
  	GPIO_EXTILineConfig(GPIO_PortSourceGPIOC,GPIO_PinSource11);

  	EXTI_InitStructure.EXTI_Line=EXTI_Line11;
  	EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;	
  	EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Falling;
  	EXTI_InitStructure.EXTI_LineCmd = ENABLE;
  	EXTI_Init(&EXTI_InitStructure);	 	//EXTI_InitStructָĲʼEXTIĴ

		//GPIOA.15	  жԼжϳʼ
  	GPIO_EXTILineConfig(GPIO_PortSourceGPIOC,GPIO_PinSource12);

  	EXTI_InitStructure.EXTI_Line=EXTI_Line12;
  	EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;	
  	EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Falling;
  	EXTI_InitStructure.EXTI_LineCmd = ENABLE;
  	EXTI_Init(&EXTI_InitStructure);	  	//EXTI_InitStructָĲʼEXTIĴ

  	NVIC_InitStructure.NVIC_IRQChannel = EXTI15_10_IRQn;			//ʹܰڵⲿжͨ
  	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x02;	//ռȼ2 
  	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x01;					//ȼ1
  	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;								//ʹⲿжͨ
  	NVIC_Init(&NVIC_InitStructure); 
}

 
void EXTI15_10_IRQHandler(void)
{
  	delay_ms(10);    //			 
 
    if(EXTI_GetITStatus(EXTI_Line11) != RESET)
	{
	 	LED0=!LED0;
	}
 
     else if (EXTI_GetITStatus(EXTI_Line12) != RESET)
	{
		LED1=!LED1;
	}
	 EXTI_ClearITPendingBit(EXTI_Line11);  //EXTI11·λ
	 EXTI_ClearITPendingBit(EXTI_Line12);  //EXTI12·λ
}
