
#define _BSP_TOUCH_C_

#include "bsp_touch.h"

static void delay_us(unsigned long k) 
{ 
    unsigned long i; 
    unsigned long j; 
    for(i = k;i > 0;i--)
	{	
		for(j = 13;j > 0;j--)
		{
			;   
		}
	}	
} 

static void delay_ms(unsigned long k) 
{ 
    unsigned long i; 
    unsigned long j; 
    for(i = k;i > 0;i--)
	{	
		for(j = 5000;j > 0;j--)
		{
			;   
		}
	}	
} 

/****************************************************
*  
*      Ƭʼź
* ڲ 
* ز 
* ע 
*****************************************************/
void FT6236_Start(void)					
{
	SDA_OUT();     		//sda
	delay_us(3);
	FT6236_SDA = 1;									
	FT6236_SCL = 1;		//SCLСߵƽ:0.6us
	delay_us(4);		//ʼźŵСʱ:0.6us
	FT6236_SDA = 0;		//SCLߵƽڼ䣬SDAһ½رʾʼź
	delay_us(4);		//ʼźŵСʱ:0.6us
	FT6236_SCL = 0;		//ס,Ϊַ׼;
	delay_us(2);		//SCLС͵ƽ:1.2us,RETʵ
}

/****************************************************
*  
*      Ƭֹͣź
* ڲ 
* ز 
* ע 
*****************************************************/
void FT6236_Stop(void)							
{
	SDA_OUT();     		//sda	
	delay_us(3);	
	FT6236_SCL = 1;		//SCLСߵƽ:0.6us		
	delay_us(4);		//ֹͣźŵСʱ:0.6us
	FT6236_SDA = 0;	
	delay_us(4);
	FT6236_SDA = 1;		//SCLߵƽڼ䣬SDAһرʾֹͣź
	delay_us(2);						
}

/****************************************************
*  
*      ƬӦź
* ڲ 
* ز 
* ע Ƭ1BݺһӦź
*****************************************************/
void FT6236_McuACK(void)							
{
	FT6236_SCL = 0;	
	SDA_OUT();     		//sda	
	delay_us(3);
	FT6236_SDA = 0;	
	delay_us(2);																	
	FT6236_SCL = 1;		//SCLСߵƽ:0.6us
	delay_us(2);
	FT6236_SCL = 0;		//SCLС͵ƽ:1.2us
}

/****************************************************
*  
*      ƬͷӦź
* ڲ 
* ز 
* ע ƬֹͣǰһӦź
*****************************************************/
void FT6236_McuNACK(void)
{
	FT6236_SCL = 0;	
	SDA_OUT();     				//sda	
	delay_us(3);
	FT6236_SDA = 1;	
	delay_us(2);																	
	FT6236_SCL = 1;				//SCLСߵƽ:0.6us
	delay_us(2);
	FT6236_SCL = 0;				//SCLС͵ƽ:1.2us
}

/****************************************************
*  
*      ƬFT6236Ӧź
* ڲ 
* ز 1Ӧʧ
			 0Ӧɹ
* ע Ƭд1ַ/ݺ
			 ȫֱRevAckF:յFT6236Ӧźŵı־λ,Ϊ0ʾյ
*****************************************************/
u8 FT6236_CheckAck(void)							
{
	u8 ucErrTime=0;
	SDA_IN();      				//SDAΪ
	FT6236_SDA = 1;
	FT6236_SCL = 1;				//ʹSDAЧ;SCLСߵƽ:0.6us
	delay_us(3);
	while(FT6236_SDA_Read)
	{	
		ucErrTime++;
		if(ucErrTime>250)		//Ӧ
		{
			FT6236_Stop();	
			return 1;
		}
		delay_us(2);
	}
	FT6236_SCL = 0;
	return 0;
}

/****************************************************
*  
*      ƬIIC߷1Bĵַ/
* ڲ ͵1Bַ/
* ز 
* ע һݷ͹;˳ǴӸߵ
*****************************************************/
void FT6236_WrOneByte(u8 dat)						
{
	u8 i;						
	SDA_OUT();     				//sda	
	FT6236_SCL = 0;				//ʱӿʼݴ
	delay_us(3);
	for(i = 8; i > 0; i--)		//8λ1Bַ/ݵĳ
	{
		if(dat & 0x80) 		
			FT6236_SDA = 1;		//"1"		
		else
			FT6236_SDA = 0;		//"0"
		FT6236_SCL = 1;			//ʹSDAϵЧ
		delay_us(2);			//SCLСߵƽ:0.6us							
		FT6236_SCL = 0;			//SCLС͵ƽ:1.2us
		delay_us(2);
		dat <<= 1;				//1λ,Ϊλ׼	
	}		
}

/****************************************************
*  
*      ƬIIC߽1B
* ڲ 
* ز յ1B
* ע һݽչ;Ӹߵ͵˳
*****************************************************/
u8 FT6236_RdOneByte(void)						
{
	u8 i,dat = 0;				//λݴ浥Ԫ
	SDA_IN();						//SDAΪ
	delay_us(2);	
	FT6236_SDA = 1;			//ʹ,׼ȡ
	delay_us(2);
	for(i = 8;i > 0;i--)
	{
		FT6236_SCL = 0;
		delay_us(2);
		FT6236_SCL = 1;
		dat <<= 1;
		if(FT6236_SDA_Read)
			dat++;
		delay_us(2);			//SCLС͵ƽ:1.2us
	}
	FT6236_SDA = 1;		
	return(dat);				//1B
}

//FT6236дһ
//reg:ʼĴַ
//buf:ݻ
//len:дݳ
//ֵ:0,ɹ;1,ʧ.
u8 FT6236_WR_Reg(u16 reg,u8 *buf,u8 len)
{
	u8 i;
	u8 ret=0;
	FT6236_Start();	 
	FT6236_WrOneByte(FT_CMD_WR);	//д 	 
	FT6236_CheckAck(); 	 										  		   
	FT6236_WrOneByte(reg&0XFF);   	//͵8λַ
	FT6236_CheckAck();  
	for(i=0;i<len;i++)
	{	   
    	FT6236_WrOneByte(buf[i]);  	//
		ret=FT6236_CheckAck();
		if(ret)break;  
	}
    FT6236_Stop();					//һֹͣ	    
	return ret; 
}
//FT6236һ
//reg:ʼĴַ
//buf:ݻ
//len:ݳ			  
void FT6236_RD_Reg(u16 reg,u8 *buf,u8 len)
{
	u8 i; 
 	FT6236_Start();	
 	FT6236_WrOneByte(FT_CMD_WR);   	//д 	 
	FT6236_CheckAck(); 	 										  		   
 	FT6236_WrOneByte(reg&0XFF);   	//͵8λַ
	FT6236_CheckAck();  
 	FT6236_Start();  	 	   
	FT6236_WrOneByte(FT_CMD_RD);   	//Ͷ		   
	FT6236_CheckAck();	  
	for(i=0;i<len;i++)
	{	   
		*buf++ = FT6236_RdOneByte();		//1Bݵݻ
		FT6236_McuACK();					//Ӧλ	  
	} 
	FT6236_McuNACK();						//nֽڶ,ͷӦλ
    FT6236_Stop();					//һֹͣ	  
} 

void sda_in(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;	
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8; 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOG, &GPIO_InitStructure);			
}

void sda_out(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;	
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8; 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOG, &GPIO_InitStructure);			
}
/* 
**FT6236_Init
**
**ֵ
**ܣʼFT6236
*/  
void bsp_touch__init(void)
{
	u8 temp; 
	GPIO_InitTypeDef GPIO_InitStructure;					//һGPIO_InitTypeDef͵Ľṹ
	
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOG, ENABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8 | GPIO_Pin_6; 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOG, &GPIO_InitStructure);		
	GPIO_SetBits(GPIOG,GPIO_Pin_6 | GPIO_Pin_8);
	
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_7; 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOC, &GPIO_InitStructure);		
	GPIO_SetBits(GPIOC,GPIO_Pin_7);
	
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOG, ENABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_7; 
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOG, &GPIO_InitStructure);		
	GPIO_SetBits(GPIOG,GPIO_Pin_7);	

	FT6236_RST = 0;
	delay_ms(50);
	FT6236_RST = 1;
	delay_ms(100);
	FT6236_SDA=1;
	FT6236_SCL=1;
	delay_ms(10);
	temp=0;
	FT6236_WR_Reg(FT_DEVIDE_MODE,&temp,1);	//ģʽ 
 	temp=12;								//Чֵ22ԽСԽ	
 	FT6236_WR_Reg(FT_ID_G_THGROUP,&temp,1);	//ôЧֵ
 	temp=12;								//ڣС1214
 	FT6236_WR_Reg(FT_ID_G_PERIODACTIVE,&temp,1); 
/******************************************************/
}
const u16 FT6236_TPX_TBL[5]=
{
	FT_TP1_REG,
	FT_TP2_REG,
	FT_TP3_REG,
	FT_TP4_REG,
	FT_TP5_REG
};

TouchPointRefTypeDef TPR_Structure; 

void FT6236_Scan(void)
{
	u8 i=0;
	u8 sta = 0;
	u8 buf[4] = {0};    
	FT6236_RD_Reg(0x02,&sta,1);//ȡ״̬  	   
 	if(sta & 0x0f)	//жǷд㰴£0x02Ĵĵ4λʾЧ
 	{
 		TPR_Structure.TouchSta = ~(0xFF << (sta & 0x0F));	//~(0xFF << (sta & 0x0F))ĸתΪ㰴Ч־
// 		for(i=0;i<5;i++)	                                //ֱжϴ1-5Ƿ񱻰
// 		{
 			if(TPR_Structure.TouchSta & (1<<i))			    //ȡ
 			{											    //ȡӦ
 				FT6236_RD_Reg(FT6236_TPX_TBL[i],buf,4);	//ȡXYֵ
				TPR_Structure.x[i]=((u16)(buf[0]&0X0F)<<8)+buf[1];
				TPR_Structure.y[i]=((u16)(buf[2]&0X0F)<<8)+buf[3];
 				if((buf[0]&0XC0)!=0X80)
 				{
					TPR_Structure.x[i]=TPR_Structure.y[i]=0;//contact¼ΪЧ	
					return;
				}
 			}
// 		}
 		TPR_Structure.TouchSta |= TP_PRES_DOWN;     //±
 	}
 	else
 	{
 		if(TPR_Structure.TouchSta &TP_PRES_DOWN) 	//֮ǰǱµ
 			TPR_Structure.TouchSta &= ~0x80;        //ɿ	
 		else
 		{
 			TPR_Structure.x[0] = 0;
 			TPR_Structure.y[0] = 0;
 			TPR_Structure.TouchSta &=0xe0;	//Ч
 		}
 	}
}


xpt2046_touch_data_struct_t xpt2046_touch_data;

void bsp_touch__scan(void)
{
	bsp_uint16_t x_val,y_val;
	
	FT6236_Scan();
	
	if(TPR_Structure.TouchSta & TP_PRES_DOWN)
	{
		
		xpt2046_touch_data.state = TOUCH_PRESS;
		
		xpt2046_touch_data.x = TPR_Structure.x[0];

		xpt2046_touch_data.y = TPR_Structure.y[0];		
	}
	else
	{
		xpt2046_touch_data.state = TOUCH_RELEASE;
	}
	

}

